﻿@model ProjectUni.Models.Job

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}

<div class="col-xs-12">
    <div class="box"  style="background-color:rgba(0, 0, 0, 0.81);padding-bottom:10px;">
        <div class="box-body" style="margin:20px 50px 20px 50px;padding:0px 50px 0px 50px;">
            <div class="row">
                <div class="col-sm-offset-1 col-sm-6">

                    @using (Html.BeginForm())
                    {
                        @Html.AntiForgeryToken()

                        <div class="form-horizontal">

                            <h3 class="ph" style="color:white;padding-top:10px;"> Create New Job</h3>
                            <br />
                            @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                            <div class="form-group">
                                @Html.LabelFor(model => model.JobTitle, htmlAttributes: new { @class = "control-label col-md-3" })
                                <div class="col-md-9">
                                    @Html.EditorFor(model => model.JobTitle, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.JobTitle, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.JobDesignation, htmlAttributes: new { @class = "control-label col-md-3" })
                                <div class="col-md-9">
                                    @Html.DropDownList("JobDesignation", null, "Select Job Designation", htmlAttributes: new { @class = "form-control" })
                                    @Html.ValidationMessageFor(model => model.JobDesignation, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.JobDescription, htmlAttributes: new { @class = "control-label col-md-3" })
                                <div class="col-md-9">
                                    @Html.EditorFor(model => model.JobDescription, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.JobDescription, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.Skills, htmlAttributes: new { @class = "control-label col-md-3" })
                                <div class="col-md-9">
                                    @Html.EditorFor(model => model.Skills, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Skills, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.JobType, htmlAttributes: new { @class = "control-label col-md-3" })
                                <div class="col-md-9">
                                    @Html.DropDownList("JobType", new List<SelectListItem> {
                                                        new SelectListItem{Text = "Internship", Value= "Internship"},
                                                        new SelectListItem{Text = "Contract", Value= "Contract"},
                                                        new SelectListItem{Text = "Part Time", Value= "Part Time"},
                                                        new SelectListItem{Text = "Full Time", Value= "Full Time"},
                                                        new SelectListItem{Text = "Permanent", Value= "Permanent"}
                                                        }, "Select Job Type", new { @class = "form-control" })
                                    @Html.ValidationMessageFor(model => model.JobType, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.CityId, "City", htmlAttributes: new { @class = "control-label col-md-3" })
                                <div class="col-md-9">
                                    @Html.DropDownList("CityId", null, "Select City", htmlAttributes: new { @class = "form-control" })
                                    @Html.ValidationMessageFor(model => model.CityId, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.JobShift, htmlAttributes: new { @class = "control-label col-md-3" })
                                <div class="col-md-9">
                                    @Html.DropDownList("JobShift", new List<SelectListItem> {
                                            new SelectListItem{Text = "Morning", Value= "Morning"},
                                            new SelectListItem{Text = "Afternoon", Value= "Afternoon"},
                                            new SelectListItem{Text = "Night", Value= "Night"},
                                            new SelectListItem{Text = "All", Value= "All"}
                                            }, "Select Job Shift", new { @class = "form-control" })
                                    @Html.ValidationMessageFor(model => model.JobShift, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.IndustryId, "Industry", htmlAttributes: new { @class = "control-label col-md-3" })
                                <div class="col-md-9">
                                    @Html.DropDownList("IndustryId", null, "Select Industry", htmlAttributes: new { @class = "form-control" })
                                    @Html.ValidationMessageFor(model => model.IndustryId, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.CareerLevel, htmlAttributes: new { @class = "control-label col-md-3" })
                                <div class="col-md-9">
                                    @Html.DropDownList("CareerLevel", new List<SelectListItem> {
            new SelectListItem{Text = "Entry Level", Value= "Entry Level"},
            new SelectListItem{Text = "Intermediate", Value= "Intermediate"},
            new SelectListItem{Text = "Expert Professional", Value= "Expert Professional"},
            new SelectListItem{Text = "Departmental Head", Value= "Departmental Head"}
            }, "Select Career Level", new { @class = "form-control" })
                                    @Html.ValidationMessageFor(model => model.CareerLevel, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.Experience, htmlAttributes: new { @class = "control-label col-md-3" })
                                <div class="col-md-9">
                                    @Html.DropDownList("Experience", new List<SelectListItem> {
            new SelectListItem{Text = "Fresh", Value= "Fresh"},
            new SelectListItem{Text = "Less than 1 year", Value= "Less than 1 year"},
            new SelectListItem{Text = "2 year", Value= "2 year"},
            new SelectListItem{Text = "3 year", Value= "3 year"},
            new SelectListItem{Text = "4 year", Value= "4 year"},
            new SelectListItem{Text = "5 year", Value= "5 year"},
            new SelectListItem{Text = "More than 5 year", Value= "More than 5 year"}
            }, "Select Experience", new { @class = "form-control" })                 @Html.ValidationMessageFor(model => model.Experience, "", new { @class = "text-danger" })
        </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.MinSalary, htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-9">
                @Html.EditorFor(model => model.MinSalary, new { htmlAttributes = new { @class = "form-control", @min = "1" } })
                @Html.ValidationMessageFor(model => model.MinSalary, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.MixSalary, htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-9">
                @Html.EditorFor(model => model.MixSalary, new { htmlAttributes = new { @class = "form-control", @min = "1" } })
                @Html.ValidationMessageFor(model => model.MixSalary, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Gender, htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-9">
                @Html.DropDownList("Gender", new List<SelectListItem> {
        new SelectListItem{Text = "Male", Value= "Male"},
        new SelectListItem{Text = "Female", Value= "Female"},
        new SelectListItem{Text = "No Preference", Value= "No Preference"}
        }, "Select Gender", new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Gender, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Positions, htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-9">
                @Html.EditorFor(model => model.Positions, new { htmlAttributes = new { @class = "form-control", @min = "1" } })
                @Html.ValidationMessageFor(model => model.Positions, "", new { @class = "text-danger" })
            </div>
        </div>

        @*<div class="form-group">
        @Html.LabelFor(model => model.JobDate, htmlAttributes: new { @class = "control-label col-md-3" })
        <div class="col-md-9">
            @Html.EditorFor(model => model.JobDate, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.JobDate, "", new { @class = "text-danger" })
        </div>
    </div>*@

        <div class="form-group">
            @Html.LabelFor(model => model.ApplyBefore, htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-9">
                @Html.EditorFor(model => model.ApplyBefore, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.ApplyBefore, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.MinAge, htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-9">
                @Html.EditorFor(model => model.MinAge, new { htmlAttributes = new { @class = "form-control", @min = "18" } })
                @Html.ValidationMessageFor(model => model.MinAge, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.MaxAge, htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-9">
                @Html.EditorFor(model => model.MaxAge, new { htmlAttributes = new { @class = "form-control", @min = "18" } })
                @Html.ValidationMessageFor(model => model.MaxAge, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.LevelId, "Level", htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-9">
                @Html.DropDownList("LevelId", null, "Select Educational Level", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.LevelId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.DegreeId, "Specilization/Major", htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-9">
                @Html.DropDownList("DegreeId", null, "Select Specilization/Major", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.DegreeId, "", new { @class = "text-danger" })
            </div>
        </div>


        <div class="form-group">
            @Html.LabelFor(model => model.Company, htmlAttributes: new { @class = "control-label col-md-3" })
            <div class="col-md-9">
                <input type="text" value="@ViewBag.CompanyId" name="Company" readonly="readonly" class="form-control">
                @Html.ValidationMessageFor(model => model.Company, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-3 col-md-3">
                <input type="submit" value="Create" class="btn btn-default btn-sumbit" />
                <br /><br />
                <input type="reset" value="Reset" class="btn btn-default btn-sumbit" style="background-color: #e7fab9;color:#527bd0" />
            </div>
        </div>

        </div>
    }



                </div>
            </div>
        </div>
    </div>
</div>


<script src="~/Scripts/jquery-1.10.2.min.js"></script>
<script>
    $(document).ready(function () {
        $("#degid").hide();
        $("#LevelId").change(function () {
            var deglevel = $(this).val();
            debugger
            $.ajax({
                type: "post",
                url: "/Users/getDegreeArea?LevelId=" + deglevel,
                contentType: "html",
                success: function (response) {
                    debugger
                    $("#DegreeId").empty();
                    $("#DegreeId").append(response);
                    $("#degid").show();
                }
            })
        })
    
            
        
    })
    $("form").submit(function (event) {
        var minsalary = $('input[name="MinSalary"]').val();
        var maxsalary = $('input[name="MixSalary"]').val();
        var minage = $('input[name="MinAge"]').val();
        var maxage = $('input[name="MaxAge"]').val();

        if (minsalary >= maxsalary) {
            $('span[data-valmsg-for="MinSalary"]').text('min salary should less to max salary');
            //alert("min salary should less to max salary");
            event.preventDefault();
        } else {
            $('span[data-valmsg-for="MinSalary"]').text('');

        }
        
        if (minage >= maxage) {
            $('span[data-valmsg-for="MinAge"]').text('min age should less  to max age');
            //alert("min age should less  to max age");
            event.preventDefault();
        } else {
            $('span[data-valmsg-for="MinAge"]').text('');

        }
    });
</script>